Name:           perl-Text-MultiMarkdown
Version:        1.000035
Release:        1%{?dist}
Summary:        Convert MultiMarkdown syntax to (X)HTML
License:        BSD
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Text-MultiMarkdown/
Source0:        http://www.cpan.org/authors/id/B/BO/BOBTFISH/Text-MultiMarkdown-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-podlators
BuildRequires:  perl(inc::Module::Install)
BuildRequires:  perl(Module::Install::Metadata)
BuildRequires:  perl(Module::Install::Scripts)
BuildRequires:  perl(Module::Install::WriteAll)
# Run-time:
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Digest::MD5)
BuildRequires:  perl(Encode)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(HTML::Entities)
BuildRequires:  perl(re)
BuildRequires:  perl(strict)
BuildRequires:  perl(Text::Markdown) >= 1.000026
BuildRequires:  perl(warnings)
# Tests:
BuildRequires:  perl(FindBin)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More) >= 0.42
BuildRequires:  perl(Text::Diff)
BuildRequires:  perl(utf8)
# Optional tests:
BuildRequires:  perl(HTML::Tidy)
BuildRequires:  perl(Test::Pod) >= 1.14
BuildRequires:  perl(Test::Pod::Coverage) >= 1.04
BuildRequires:  perl(Test::Spelling) >= 0.11
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Text::Markdown) >= 1.000026

%{?perl_default_filter}
# Filter underspecified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Text::Markdown\\)$

%description
Markdown is a text-to-HTML filter; it translates an easy-to-read / easy-to-
write structured text format into HTML. Markdown's text format is most
similar to that of plain text email, and supports features such as headers,
*emphasis*, code blocks, block quotes, and links.

%prep
%setup -q -n Text-MultiMarkdown-%{version}
# Remove bundled modules
rm -r inc
sed -i -e '/^inc\//d' MANIFEST

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
TEST_POD=1 TEST_SPELLING=1 make test

%files
%doc Changes License.text README Readme.text Todo
%{perl_vendorlib}/*
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Thu Nov 13 2014 Petr Pisar <ppisar@redhat.com> - 1.000035-1
- 1.000035 bump

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.000034-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.000034-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun 19 2012 Petr Pisar <ppisar@redhat.com> - 1.000034-4
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.000034-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jun 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.000034-2
- Perl mass rebuild

* Fri Apr 29 2011 Iain Arnell <iarnell@gmail.com> 1.000034-1
- update to latest upstream version
- clean up spec for modern rpmbuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.000033-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 23 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.000033-3
- 661697 rebuild for fixing problems with vendorach/lib

* Fri May 07 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.000033-2
- Mass rebuild with perl-5.12.0

* Sat Mar 27 2010 Iain Arnell <iarnell@gmail.com> 1.000033-1
- update to latest upstream version
- use perl_default_filter and DESTDIR
- add MultiMarkdown script to files

* Fri Jan 22 2010 Iain Arnell <iarnell@gmail.com> 1.000032-1
- update to latest upstream
- remove BR perl(File::Slurp)

* Sat Oct 31 2009 Iain Arnell 1.000031-1
- Specfile autogenerated by cpanspec 1.78.
